Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0003097 [JEDI VCL] 00 JVCL Components major always 2005-07-19 01:19 2005-08-09 03:45
Reporter waskol View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.00
Summary 0003097: Fix for TJvCustomGraphicButton and descendants --> Button remains "down"
Description Here the fix from Bogdan Ribic reported on the web news group :
- Link : 1@talkto.net&displaymode=all">http://delphi.newswhat.com/geoxml/forumgetthread?groupname=jedi.vcl&messageid=dbhoii$cf7$1@talkto.net&displaymode=all [1@talkto.net&displaymode=all" target="_blank">^]

- His Fix and comments :
Hi everyone,

   I noticed a problem with JvTransparentButton, namely if you click it
and an exception occurs in event handler, button remains "down" as if I
was still holding the mouse button. It will return to normal after it
receives another mosue down event.

   Now, this makes my program look really unprofessional :) , so I
hacked the source code a little and came up with this:

procedure TJvCustomGraphicButton.Click;
begin
   try
     inherited Click;
   finally
     if GroupIndex <> 0 then
     begin
       if AllowAllUp then
         Down := not Down
       else
         Down := True;
     end;
     Exclude(FStates, bsMouseDown);
     RepaintBackground;
   end;
end;


   This is in file JvButton.pas, line 638. Only Exclude and
RepaintBackground lines are new, and exception block, but they solve the
problem.

   Anyway, I'm too lazy to go through Mantis and formally submit this,
so if you guys like it, please put this little fix into code base.

   Btw, thanx for all the great code.

Boban.
Additional Information It works nicely.
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0007626)
obones (administrator)
2005-07-27 01:19

This needs to be confirmed by someone. When it is, please push the issue to "Confirmed" state.
(0007705)
obones (administrator)
2005-08-09 03:45

This is now in CVS.

- Issue History
Date Modified Username Field Change
2005-07-19 01:19 waskol New Issue
2005-07-19 07:08 waskol Note Added: 0007567
2005-07-27 01:18 obones Note Deleted: 0007567
2005-07-27 01:19 obones Note Added: 0007626
2005-07-27 01:19 obones Status new => acknowledged
2005-08-09 03:45 obones Status acknowledged => resolved
2005-08-09 03:45 obones Resolution open => fixed
2005-08-09 03:45 obones Assigned To => obones
2005-08-09 03:45 obones Note Added: 0007705


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker